package com.malk.mc.service;

import com.alibaba.fastjson.JSONObject;
import com.malk.server.common.McR;
import org.checkerframework.checker.units.qual.A;
import org.springframework.scheduling.annotation.Async;

import java.util.Map;

public interface McYdService {
    @Async
    void updateFormDataVersion(Map map);

    McR initiateApproval(Map map);

    McR convertSubTableNumber(Map map);

    McR saveApproverToForm(Map map);

    McR multiLocationOutbound(Map map);

    McR multiLocationOutboundAI(Map map);

    McR WarehouseStorage(Map map);

    McR WarehouseStorageAI(Map map);

    McR ProductReturn(Map map);

    McR allocateTransfer(Map map);

    McR goodsInandOut(Map map);

    McR Invoicing(Map map);

    McR receiveInvoice(Map map);

    void batchUpdateSpecifiedQuantityData(Map map);

    McR shareRecord(Map map);

    McR approveTask(Map map);

    McR syncYdAuth(Map map);

    McR delYdAuth(Map map);

    void getCheckInData(JSONObject eventJson);
}
